Get Related Businesses
curl --request GET \
--url https://api.joinworth.com/case/api/v1/customers/{customerID}/businesses/{businessID}/related-businesses \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.joinworth.com/case/api/v1/customers/{customerID}/businesses/{businessID}/related-businesses"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.joinworth.com/case/api/v1/customers/{customerID}/businesses/{businessID}/related-businesses', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"message": "Related Businesses fetched successfully",
"data": {
"records": [
{
"id": "06605d1a-e2b6-4457-9471-2931d70ace7d",
"name": "Track 3",
"status": "VERIFIED",
"created_at": "2025-06-17T05:16:48.479Z",
"case_id": "74cde423-2195-4d91-978e-83c1934d68cb",
"case_status": "ONBOARDING",
"customer_id": "f3658084-98f7-40fd-a72f-f1bd13959bd6",
"report_status": "DOWNLOAD_REPORT_UNAVAILABLE",
"report_id": null,
"report_created_at": null
},
{
"id": "2c165365-e801-460b-b1a3-b28e13bd3dc4",
"name": "Track 2",
"status": "VERIFIED",
"created_at": "2025-06-17T05:00:57.201Z",
"case_id": "ad53cefb-0575-41ac-99de-a1e3c35496c6",
"case_status": "AUTO_APPROVED",
"customer_id": "f3658084-98f7-40fd-a72f-f1bd13959bd6",
"report_status": "COMPLETED",
"report_id": "e111b084-fb7a-4e71-849a-58bdb568701e",
"report_created_at": "2025-06-17T07:09:29.688Z"
},
{
"id": "c84efa5e-8638-4e39-b3cb-19c32915e816",
"name": "Track 1",
"status": "VERIFIED",
"created_at": "2025-06-17T04:51:43.662Z",
"case_id": "96a28307-9fa8-438e-bfb1-d329b2a2e668",
"case_status": "AUTO_APPROVED",
"customer_id": "f3658084-98f7-40fd-a72f-f1bd13959bd6",
"report_status": "COMPLETED",
"report_id": "35c7dbff-4e1e-451d-a86f-d6552ba2a1b4",
"report_created_at": "2025-06-17T07:09:29.690Z"
}
],
"total_pages": 1,
"total_items": 3
}
}Business
Get Related Businesses
Retrieves a list of businesses related to the one specified by the given businessID.
GET
/
customers
/
{customerID}
/
businesses
/
{businessID}
/
related-businesses
Get Related Businesses
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Example:
"44aed0e8-89ec-4307-8b5d-310f8964e5b5"
Example:
"fd9021b0-8056-4ffc-9191-23ab4b9ca906"
Response
200 - application/json; charset=utf-8
OK
Show child attributes
Show child attributes
Example:
{
"records": [
{
"id": "8605e6f9-52b3-47f7-830a-f45ecf59a6e7",
"name": "AMAZON PHL1",
"status": "VERIFIED",
"created_at": "2025-06-13T11:56:27.782Z",
"case_id": "51424978-1d41-443a-af41-72831979d1dc",
"case_status": "ONBOARDING",
"customer_id": "d61e5869-71e4-4748-a5da-913794ab0677",
"report_status": "DOWNLOAD_REPORT_UNAVAILABLE",
"report_id": null,
"report_created_at": null
},
{
"id": "d623a2e1-a69d-48a0-9f06-4da9c68e5235",
"name": "Amazon Fulfillment Center Tours - BWI2",
"status": "VERIFIED",
"created_at": "2025-06-13T11:51:30.791Z",
"case_id": "3e7d107d-17f7-4b2c-b74e-7cbabec91ff4",
"case_status": "ONBOARDING",
"customer_id": "d61e5869-71e4-4748-a5da-913794ab0677",
"report_status": "DOWNLOAD_REPORT_UNAVAILABLE",
"report_id": null,
"report_created_at": null
},
{
"id": "0544b86a-40bf-4d28-a3d4-23109b4603ac",
"name": "Amazon Go",
"status": "VERIFIED",
"created_at": "2025-06-13T11:41:00.171Z",
"case_id": "71d7da39-d69d-40ac-83eb-865f0823d1c8",
"case_status": "ONBOARDING",
"customer_id": "d61e5869-71e4-4748-a5da-913794ab0677",
"report_status": "DOWNLOAD_REPORT_UNAVAILABLE",
"report_id": null,
"report_created_at": null
},
{
"id": "d272fdec-e38f-4d08-8db6-b1dab3ea488f",
"name": "Amazon Liquidation Store",
"status": "VERIFIED",
"created_at": "2025-06-13T11:13:28.291Z",
"case_id": "f04c3879-b1a7-47f0-9e88-9eab69f356f2",
"case_status": "ONBOARDING",
"customer_id": "d61e5869-71e4-4748-a5da-913794ab0677",
"report_status": "DOWNLOAD_REPORT_UNAVAILABLE",
"report_id": null,
"report_created_at": null
}
],
"total_pages": 1,
"total_items": 4
}
Was this page helpful?
⌘I